@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Noto+Sans+JP:wght@100..900&display=swap');
/* -----------------------------------------------
common
----------------------------------------------- */
:root {
  --main-color: #013783;
  --light-color: #C5D4E0;
  --accent-color: #FCFC00;
  --text-color: #222222;
  --white-color: #fff;
}
html,
body {
  width: 100%;
  overflow-x: hidden;
  position: relative;
}
body {
  color: #222222;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0;
  font-family: 'Noto Sans JP', sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}
i {
  font-style: normal;
}
.inner__wrap {
  margin-inline: auto;
}
.font__montserrat {
  font-family: 'Montserrat', sans-serif;
}
.button--link {
  max-width: 100%;
  background-color: var(--white-color);
  color: var(--main-color);
  border-radius: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.button--link .button__text {
  position: relative;
  font-weight: 600;
}
.button--link .button__text--anc::before {
  content: '';
  aspect-ratio: 1/1;
  background: url(../images/anc_link_icon.svg) center / contain no-repeat;
  position: absolute;
  top: 50%;
  right: 0;
  translate: 0 -50%;
}
.button--contact {
  max-width: 100%;
  background-color: var(--accent-color);
  color: #222222;
  border-radius: 50vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.button--contact .button__text {
  position: relative;
}
.button--contact .button__text::before {
  content: '';
  aspect-ratio: 30/22;
  background: url(../images/contact_icon.svg) center / contain no-repeat;
  position: absolute;
  top: 50%;
  left: 0;
  translate: 0 -50%;
}
.section-heading__ja {
  font-weight: 500;
}
.section-heading__en {
  font-weight: 600;
}
.deco-text {
  line-height: 1;
  letter-spacing: .02em;
  font-weight: bold;
}
.deco-triangle {
  position: relative;
  z-index: 1;
}
.deco-triangle::before {
  content: '';
  aspect-ratio: 1/1;
  clip-path: polygon(0 0, 0% 100%, 100% 0);
  background-color: var(--white-color);
  opacity: .2;
  position: absolute;
  top: 0;
  z-index: -1;
}
.deco-triangle--blue::before {
  background-color: #F3F7FA;
  opacity: 1;
}
.deco-image-wrapper {
  overflow: hidden;
}
.deco-image--left {
  position: relative;
  z-index: 1;
}
.deco-image--left::after {
  content: '';
  aspect-ratio: 1105/621;
  background: url(../images/deco.png) left bottom / contain no-repeat;
  opacity: .6;
  position: absolute;
  z-index: -1;
}
.deco-image--right {
  position: relative;
  z-index: 1;
}
.deco-image--right::after {
  content: '';
  aspect-ratio: 1105/621;
  background: url(../images/deco.png) right bottom / contain no-repeat;
  opacity: .6;
  position: absolute;
  z-index: -1;
}
.page-title {
  background-color: var(--main-color);
  text-align: center;
  color: #fff;
}
.page-title .inner__wrap {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}
.text-link {
  border-bottom: 1px solid var(--text-color);
}

@media (max-width: 767px) {
  :root {
    --vw: calc(100vw / ●●●); /* ●●● = 基準値、vwの計算に使用：calc(var(--vw) * px) */
  }
  .pc__only {
    display: none;
  }
  body {
    font-size: 14px;
  }
  .inner__wrap {
    width: 84%;
  }
  p {
    font-size: 16px;
    line-height: 2;
  }
  .button--link {
    width: 260px;
    min-height: 70px;
    margin-inline: auto;
  }
  .button--link .button__text--anc {
    font-size: 16px;
    padding-right: 45px;
  }
  .button--link .button__text--anc::before {
    width: 29px;
  }
  .button--contact {
    width: 260px;
    min-height: 70px;
    margin-inline: auto;
  }
  .button--contact .button__text {
    font-size: 20px;
    padding-left: 50px;
  }
  .button--contact .button__text::before {
    width: 32px;
  }
  .section-heading__ja {
    font-size: 12px;
    margin-bottom: 4px;
  }
  .section-heading__en {
    font-size: 32px;
    line-height: 1;
  }
  .deco-text {
    font-size: 40px;
    line-height: 1;
  }
  .deco-triangle::before {
    left: -8vw;
    width: 40vw;
  }
  .deco-image--left::after {
    top: 88.53vw;
    right: -11.73vw;
    width: 234.93vw;
  }
  .deco-image--right::after {
    top: 0;
    right: -8vw;
    width: 73.33vw;
    aspect-ratio: 275/226;
    background: url(../images/deco_right_sp.png) right bottom / contain no-repeat;
  }
  .page-title {
    height: 220px;
    padding-top: 20px;
  }
  .page-title .deco-image--left::after {
    top: 0;
    left: 50%;
    translate: -50% 0;
    width: 100vw;
    aspect-ratio: 375/222;
    background: url(../images/deco_page-title_sp.png) left bottom / contain no-repeat;
  }
}

@media (min-width: 768px) {
  .sp__only {
    display: none;
  }
  body {
    font-size: 16px;
  }
  .inner__wrap {
    width: 100%;
    max-width: calc(1100px + 40px);
    padding: 0 20px;
  }
  p {
    font-size: 16px;
    line-height: 2;
  }
  .button--link {
    width: 370px;
    min-height: 60px;
  }
  .button--link .button__text--anc {
    font-size: 18px;
    padding-right: 29px;
  }
  .button--link .button__text--anc::before {
    width: 19px;
  }
  .button--contact {
    width: 260px;
    min-height: 90px;
  }
  .button--contact .button__text {
    font-size: 20px;
    padding-left: 50px;
  }
  .button--contact .button__text::before {
    width: 32px;
  }
  .section-heading__ja {
    font-size: 20px;
  }
  .section-heading__en {
    font-size: 50px;
  }
  .deco-text {
    font-size: 70px;
  }
  .deco-triangle::before {
    left: -390px;
    width: 618px;
  }
  .deco-image--left::after {
    top: 243px;
    left: -641px;
    width: 1105px;
  }
  .deco-image--right::after {
    top: -230px;
    right: -719px;
    width: 1265px;
  }
  .page-title {
    height: 440px;
    padding-top: 100px;
  }
  .page-title .deco-image--left::after {
    top: auto;
    bottom: 0;
    left: -410px;
    width: 1057px;
    aspect-ratio: 1057/440;
    background: url(../images/deco_page-title_pc.png) left bottom / contain no-repeat;
  }
}

@media (any-hover: hover) {
  a,
  button {
    transition: all .3s;
  }
  a:hover,
  button:hover {
    opacity: 0.8;
  }
  .button--link:hover {
    opacity: 1;
    background-color: var(--accent-color);
  }
}

/* -----------------------------------------------
header
----------------------------------------------- */
header {
  position: fixed;
  width: 100%;
  color: var(--white-color);
  z-index: 10;
  transition: all .3s;
}
body.scroll header {
  color: var(--text-color);
  background-color: rgba(255,255,255,.8);
}
header .inner__wrap {
  height: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header__logo-text {
  font-weight: 600;
}

@media (max-width: 1150px) {
  .header {
    /* position: relative; */
    width: 100%;
    height: 65px;
  }
  body.menu__open header {
    color: var(--white-color);
  }
  /* html:has(body.menu__open),
  body.menu__open {
    height: 100%;
    overflow: hidden;
  } */
  header .inner__wrap {
    width: calc(100% - 24px);
  }
  .header__logo {
    position: relative;
    z-index: 10;
  }
  .header__logo-text {
    font-size: 22px;
  }
  #navToggle {
    width: 65px;
    aspect-ratio: 1/1;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 10;
    background: none;
    border: none;
    padding: 0;
  }
  #navToggle .header__menu-line {
    width: 25px;
    height: 2px;
    left: 50%;
    transform: translateX(-50%);
    display: block;
    background: #fff;
    position: absolute;
    transition: transform .6s ease-in-out, top .5s ease, width .3s ease, background .3s ease;
  }
  body.scroll #navToggle .header__menu-line {
    background: var(--text-color);
  }
  body.menu__open #navToggle .header__menu-line {
    background: var(--white-color);
  }
  #navToggle .header__menu-line:nth-child(1) {
    top: 24px;
  }
  #navToggle .header__menu-line:nth-child(2) {
    top: 32px;
  }
  #navToggle .header__menu-line:nth-child(3) {
    top: 40px;
  }
  body.menu__open #navToggle .header__menu-line:nth-child(1) {
    top: 32px;
    transform: translateX(-50%) rotate(45deg);
  }
  body.menu__open #navToggle .header__menu-line:nth-child(2) {
    width: 0;
    left: 50%;
  }
  body.menu__open #navToggle .header__menu-line:nth-child(3) {
    top: 32px;
    transform: translateX(-50%) rotate(-45deg);
  }
  .header__nav {
    transform: translateX(100%);
    -webkit-transform: translateX(100%);
    transition: all 0.5s;
    width: 100vw;
    max-width: 768px;
    height: 100svh;
    background-color: var(--main-color);
    position: absolute;
    top: 0;
    right: 0;
    margin: 0 calc(50% - 50vw);
    padding: 65px 0 150px;
    overflow: hidden scroll;
    z-index: 9;
    color: var(--white-color);
  }
  body.menu__open .header__nav {
    transform: translateX(0);
    -webkit-transform: translateX(0);
  }
  .header__nav::after {
    content: '';
    width: 778px;
    aspect-ratio: 881/496;
    background: url(../images/deco.png) center / contain no-repeat;
    opacity: .7;
    position: absolute;
    top: 373px;
    right: -84px;
    z-index: -1;
  }
  .header__nav-inner {
    position: relative;
    z-index: 2;
  }
  .header__nav-item {
    border-bottom: 1px solid #C5D4E0;
  }
  .header__nav-item:first-child {
    border-top: 1px solid #C5D4E0;
  }
  .header__nav-item:last-child {
    border-bottom: none;
    margin-top: 70px;
  }
  .header__nav-link {
    padding-left: 35px;
    padding-right: 44px;
    min-height: 70px;
    display: flex;
    align-items: center;
    font-size: 20px;
    position: relative;
  }
  .header__nav-link::after {
    content: '';
    width: 14px;
    aspect-ratio: 1/1;
    border-top: 1px solid var(--white-color);
    border-right: 1px solid var(--white-color);
    position: absolute;
    top: 50%;
    right: 30px;
    translate: 0 -50%;
    rotate: 45deg;
  }
  .button--contact.header__contact-link {
    width: 260px;
    min-height: 70px;
    margin-inline: auto;
  }
  .button--contact.header__contact-link .button__text {
    font-size: 20px;
    padding-left: 50px;
  }
  .button--contact.header__contact-link .button__text::before {
    width: 32px;
  }
  .header__nav-close {
    display: none;
  }
  body.menu__open .header__nav-close {
    display: block;
    width: 100vw;
    height: 100svh;
    background-color: rgba(0, 0, 0, .3);
    position: absolute;
    top: 0;
    left: 0;
  }
}

@media (min-width: 1151px) {
  header {
    height: 160px;
  }
  body.scroll header {
    height: 120px;
  }
  header .inner__wrap {
    max-width: 1920px;
    padding-left: 34px;
    padding-right: 40px;
    gap: 0 50px;
  }
  .header__logo-text {
    font-size: 40px;
  }
  .header__menu-btn {
    display: none;
  }
  .header__nav-list {
    display: flex;
    align-items: center;
    gap: 0 70px;
  }
  .header__nav-link {
    font-size: 18px;
  }
  .header__contact-link {
    width: 232px;
    min-height: 80px;
  }
  .header__contact-link .button__text {
    font-size: 18px;
    padding-left: 42px;
  }
  .header__contact-link .button__text::before {
    width: 30px;
  }
  .header__nav-close {
    display: none;
  }
}

/* -----------------------------------------------
about
----------------------------------------------- */
.about {
  background-color: var(--main-color);
  color: var(--white-color);
}
.about__description {
  letter-spacing: .02em;
}
.about__info-row {
  border-bottom: 1px solid var(--light-color);
}
.about__info-term {
  font-weight: bold;
  letter-spacing: .02em;
}
.about__info-description {
  letter-spacing: .02em;
}
.about__map iframe {
  width: 100%;
  height: 100%;
  vertical-align: bottom;
}

@media (max-width: 767px) {
  .about .inner__wrap {
    padding-top: 96px;
    padding-bottom: 74px;
  }
  .about .section-heading {
    margin-bottom: 24px;
  }
  .about__description {
    font-size: 16px;
    line-height: 2;
    margin-bottom: 56px;
  }
  .about__info {
    font-size: 16px;
    line-height: 2;
    margin-bottom: 40px;
  }
  .about__info-row {
    padding: 12px 0;
  }
  .about__info-term {
    margin-bottom: 2px;
  }
  .about__map {
    width: 100%;
    aspect-ratio: 315/295;
  }
}

@media (min-width: 768px) {
  .about .inner__wrap {
    padding-top: 148px;
    padding-bottom: 175px;
  }
  .about .section-heading {
    margin-bottom: 26px;
  }
  .about__description {
    font-size: 18px;
    line-height: 2.22;
    margin-bottom: 66px;
  }
  .about__layout {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-end;
    gap: 80px 80px;
  }
  .about__info {
    width: 520px;
  }
  .about__info-row {
    display: flex;
    gap: 0 25px;
    padding: 20px 0;
  }
  .about__info-term {
    width: 115px;
  }
  .about__info-description {
    flex: 1;
  }
  .about__map {
    width: 500px;
    aspect-ratio: 500/469;
  }
}

/* -----------------------------------------------
footer
----------------------------------------------- */
.footer {
  background-color: var(--main-color);
  color: var(--white-color);
}
.footer__nav {
  letter-spacing: .02em;
  font-weight: 500;
}
.footer__copyright small {
  letter-spacing: .02em;
  font-weight: 500;
}

@media (max-width: 767px) {
  .footer {
    padding: 22px 0 10px;
    border-top: 1px solid var(--light-color);
  }
  .footer__nav {
    font-size: 14px;
    margin-bottom: 10px;
    text-align: right;
  }
  .footer__copyright {
    text-align: center;
  }
  .footer__copyright small {
    font-size: 12px;
  }
}

@media (min-width: 768px) {
  .footer {
    padding: 30px 0 14px;
    border-top: 1px solid var(--light-color);
  }
  .footer .inner__wrap {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
  }
  .footer__nav {
    font-size: 16px;
  }
  .footer__copyright small {
    font-size: 16px;
  }
}